Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.pagebus.callbacks
Class OnCompleteCallback

    java.lang.Object
      com.tibco.bpm.web.client.model.pagebus.callbacks.OnCompleteCallback

    public abstract class OnCompleteCallback

extends java.lang.Object

This callback is invoke when an asynchronous API call completes.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`OnCompleteCallback()`

Method Summary
`static com.google.gwt.core.client.JavaScriptObject` | `getNativeCallback(OnCompleteCallback instance)` Returns the native function that is passed to the PageBus for the callback.
`protected abstract void` | `onComplete(java.lang.Object item, boolean success, java.lang.String error)` Callback handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OnCompleteCallback

    public OnCompleteCallback()

Method Detail

### onComplete

    protected abstract void onComplete(java.lang.Object item,
                                       boolean success,
                                       java.lang.String error)

  Callback handler.

  Parameters:
    `item` - Item on which the completed operation was invoked.
    `success` - If operation succeeded (item is active) then true, else false.
    `error` - If success != true, then contains a string error code, else is undefined.

### getNativeCallback

    public static final com.google.gwt.core.client.JavaScriptObject getNativeCallback(OnCompleteCallback instance)

  Returns the native function that is passed to the PageBus for the callback. The instance is explicitly assigned here to eliminate the need to specify the scope instance parameter. In the PageBus subscribe methods, the scope instance parameter is applied to both the OnDataCallback and the OnCompleteCallback which does not work as these are two separate class instances. For consistency, the instance is explicitly set for both class instances using this static methods.

  Parameters:
    `instance` - The instance the callback is defined on.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.